Commit d348141f authored by Natanael Copa's avatar Natanael Copa

community/geth: fix build on ppc64le

patch seems to no longer be needed.
parent bd1f58ba
......@@ -10,8 +10,7 @@ license="LGPL-3.0"
makedepends="go linux-headers"
checkdepends="fuse"
options="!check"
source="$pkgname-$pkgver.tar.gz::https://github.com/ethereum/go-ethereum/archive/v$pkgver.tar.gz
fix-ppc64le-isatty.patch"
source="$pkgname-$pkgver.tar.gz::https://github.com/ethereum/go-ethereum/archive/v$pkgver.tar.gz"
builddir="$srcdir/go-ethereum-$pkgver"
build() {
......@@ -30,5 +29,4 @@ package() {
install -m755 -t "${pkgdir}"/usr/bin build/bin/*
}
sha512sums="807acab8a61fd2708c88a1ab69b2f0a961b9dd4fec55edbb7329d1c358619d4f3e4137319c5231a8cf07ecb10f29506d6e7a8120e0c67e760dedc46171bb31fb geth-1.8.21.tar.gz
7f1d4cf22e1d48baebd28725ee099cb878028980af336b6e92d1f580a24a7d11e8b302e2b1f8c14f5b18b1d01313abe43464d8bef631ca18e5b0d613fe0a10a0 fix-ppc64le-isatty.patch"
sha512sums="807acab8a61fd2708c88a1ab69b2f0a961b9dd4fec55edbb7329d1c358619d4f3e4137319c5231a8cf07ecb10f29506d6e7a8120e0c67e760dedc46171bb31fb geth-1.8.21.tar.gz"
--- a/vendor/github.com/mattn/go-isatty/isatty_linux.go
+++ b/vendor/github.com/mattn/go-isatty/isatty_linux.go
@@ -1,5 +1,5 @@
// +build linux
-// +build !appengine,!ppc64,!ppc64le
+// +build !appengine
package isatty
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment